import { jsx } from "react/jsx-runtime";
import { DiceThree as DiceThree$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const DiceThree = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "DiceThree", ...props, children: /* @__PURE__ */ jsx(DiceThree$1, { weight: variant }) });
  }
);
DiceThree.displayName = "DiceThree";
Object.assign(DiceThree, { isGdsIcon: true });
export {
  DiceThree
};
